From a52ca388cb21f797bcfe3a1b15cc9168e5d26f41 Mon Sep 17 00:00:00 2001
From: Peter Geoghegan <pg@bowt.ie>
Date: Fri, 8 Dec 2017 15:32:55 -0800
Subject: [PATCH] Remove obsolete comment about single run case.

It is no longer possible to reach the "merge runs" stage of an external
tuplesort and find that there is only a single run to merge (i.e., that
no merge is actually required).  This was missed by commit 8b304b8b,
which removed replacement selection sort.
---
 src/backend/utils/sort/tuplesort.c | 5 -----
 1 file changed, 5 deletions(-)

diff --git a/src/backend/utils/sort/tuplesort.c b/src/backend/utils/sort/tuplesort.c
index 3c23ac7..35eebad 100644
--- a/src/backend/utils/sort/tuplesort.c
+++ b/src/backend/utils/sort/tuplesort.c
@@ -2459,11 +2459,6 @@ mergeruns(Tuplesortstate *state)
 	 * Use all the remaining memory we have available for read buffers among
 	 * the input tapes.
 	 *
-	 * We do this only after checking for the case that we produced only one
-	 * initial run, because there is no need to use a large read buffer when
-	 * we're reading from a single tape.  With one tape, the I/O pattern will
-	 * be the same regardless of the buffer size.
-	 *
 	 * We don't try to "rebalance" the memory among tapes, when we start a new
 	 * merge phase, even if some tapes are inactive in the new phase.  That
 	 * would be hard, because logtape.c doesn't know where one run ends and
-- 
2.7.4

